Package org.apache.solr.client.solrj.request.beans

# Class UpdateRuleBasedAuthPermissionPayload

java.lang.Object
org.apache.solr.client.solrj.request.beans.UpdateRuleBasedAuthPermissionPayload

All Implemented Interfaces:
  `MapSerializable`, `MapWriter`, `NavigableObject`, `ReflectMapWriter`, `org.noggit.JSONWriter.Writable`

public class UpdateRuleBasedAuthPermissionPayload extends Object implements ReflectMapWriter

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

## Field Summary

Fields
Modifier and Type
Field
Description
`Integer`
`before`
`List<String>`
`collection`
`Integer`
`index`
`String`
`method`
`String`
`name`
`Map<String,Object>`
`params`
`List<String>`
`path`
`List<String>`
`role`

### Fields inherited from interface org.apache.solr.common.MapWriter

`EMPTY`

## Constructor Summary

Constructors
Constructor
Description
`UpdateRuleBasedAuthPermissionPayload()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.MapWriter

`jsonStr, toMap, write`

### Methods inherited from interface org.apache.solr.common.NavigableObject

`_forEachEntry, _forEachEntry, _forEachEntry, _get, _get, _getStr, _getStr, _size`

### Methods inherited from interface org.apache.solr.common.util.ReflectMapWriter

`writeMap`

## Field Details

### name

public String name

### method

public String method

### collection

public List<String> collection

### path

public List<String> path

### index

public Integer index

### before

public Integer before

### params

public Map<String,Object> params

### role

public List<String> role

## Constructor Details

### UpdateRuleBasedAuthPermissionPayload

public UpdateRuleBasedAuthPermissionPayload()